import { request } from '@/utils/request'
import type { LoginParams, LoginResult } from '@/types/auth'

/**
 * 用户登录
 * POST /api/user/login
 */
export function loginApi(params: LoginParams) {
  return request<LoginResult>({
    url: '/api/user/login',
    method: 'POST',
    data: params
  })
}
